tigase.server.bosh

## Class BoshIOService

- java.lang.Object
- - tigase.net.IOService<RefObject>
  - - tigase.xmpp.XMPPIOService<Object>
    - - tigase.server.bosh.BoshIOService

- All Implemented Interfaces:
    Callable<IOService<?>>, TLSEventHandler, IOListener

      public class BoshIOService
      extends XMPPIOService<Object>

  Describe class BoshIOService here. Created: Tue Jun 5 22:33:18 2007
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BOSH_CLOSE_CONNECTION_PROP_KEY` Field description
    `static String` | `BOSH_EXTRA_HEADERS_FILE_PROP_KEY` Field description
    `static String` | `BOSH_EXTRA_HEADERS_FILE_PROP_VAL` Field description
    `static String` | `CLIENT_ACCESS_POLICY_FILE_PROP_KEY` Field description
    `static String` | `CLIENT_ACCESS_POLICY_FILE_PROP_VAL` Field description

    - ### Fields inherited from class tigase.xmpp.XMPPIOService

      `ACK_NAME, CROSS_DOMAIN_POLICY_FILE_PROP_KEY, CROSS_DOMAIN_POLICY_FILE_PROP_VAL, DOM_HANDLER, ID_ATT, parser, processors, REQ_NAME, STREAM_CLOSING, writeInProgress`

    - ### Fields inherited from class tigase.net.IOService

      `cb, CERT_CHECK_RESULT, CERT_REQUIRED_DOMAIN, decoder, encoder, HOSTNAME_KEY, partialCharacterBytes, PORT_TYPE_PROP_KEY, SESSION_ID_KEY, SSL_PROTOCOLS_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoshIOService()` Constructs ...

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkData(char[] data)`
    `long` | `getRid()` Method description
    `UUID` | `getSid()` Method description
    `BoshTask` | `getWaitTimer()` Method description
    `StringBuilder` | `prepareHeaders(String data)` Method description
    `void` | `sendErrorAndStop(Authorization errorCode, StreamError streamError, Packet packet, String errorMsg)` Method description
    `void` | `setContentType(String ct)` Method description
    `void` | `setRid(long rid)` Method description
    `void` | `setSid(UUID sid)` Method description
    `void` | `setWaitTimer(BoshTask timer)` Method description
    `void` | `writeRawData(String data)` Method description

    - ### Methods inherited from class tigase.xmpp.XMPPIOService

      `addPacketToSend, addReceivedPacket, call, checkBufferLimit, clearWaitingPackets, forceStop, getLastXmppPacketReceiveTime, getPacketsReceived, getPacketsSent, getReceivedPackets, getTotalPacketsReceived, getTotalPacketsSent, getUserJid, getWaitingForAct, getWaitingPackets, getXMLNS, prepareStreamClose, processSocketData, processWaitingPackets, receivedPackets, setAckMode, setElementLimits, setIOServiceListener, setProcessors, setUserJid, setXMLNS, stop, toString, xmppStreamClosed, xmppStreamOpen, xmppStreamOpened`

    - ### Methods inherited from class tigase.net.IOService

      `accept, byteOrder, connectionType, debug, debug, getBuffOverflow, getBytesReceived, getBytesSent, getConnectionId, getDataReceiver, getLastTransferTime, getLocalAddress, getLocalCertificate, getLocalPort, getPeerCertificate, getReadCounters, getRefObject, getRemoteAddress, getSessionData, getSocketChannel, getSocketInputSize, getStatistics, getTlsUniqueId, getTotalBuffOverflow, getTotalBytesReceived, getTotalBytesSent, getUniqueId, getWriteCounters, getX509TrustManagers, handshakeCompleted, isConnected, isInputBufferEmpty, isSocketServiceReady, readBytes, readCompleted, readData, setBufferLimit, setConnectionId, setDataReceiver, setIOServiceListener, setRefObject, setSessionData, setSocketServiceReady, setX509TrustManagers, startSSL, startTLS, startZLib, waitingToRead, waitingToSend, waitingToSendSize, writeBytes, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BOSH_CLOSE_CONNECTION_PROP_KEY

          public static final String BOSH_CLOSE_CONNECTION_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### BOSH_EXTRA_HEADERS_FILE_PROP_KEY

          public static final String BOSH_EXTRA_HEADERS_FILE_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### BOSH_EXTRA_HEADERS_FILE_PROP_VAL

          public static final String BOSH_EXTRA_HEADERS_FILE_PROP_VAL

      Field description
      See Also:
        Constant Field Values

    - #### CLIENT_ACCESS_POLICY_FILE_PROP_KEY

          public static final String CLIENT_ACCESS_POLICY_FILE_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### CLIENT_ACCESS_POLICY_FILE_PROP_VAL

          public static final String CLIENT_ACCESS_POLICY_FILE_PROP_VAL

      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BoshIOService

          public BoshIOService()

      Constructs ...

  - ### Method Detail

    - #### getRid

          public long getRid()

      Method description

    - #### getSid

          public UUID getSid()

      Method description

    - #### setWaitTimer

          public void setWaitTimer(BoshTask timer)

      Method description
      Parameters:
        `timer` -

    - #### getWaitTimer

          public BoshTask getWaitTimer()

      Method description

    - #### sendErrorAndStop

          public void sendErrorAndStop(Authorization errorCode,
                                       StreamError streamError,
                                       Packet packet,
                                       String errorMsg)
                                throws IOException

      Method description
      Parameters:
        `errorCode` -
        `packet` -
        `errorMsg` -
      Throws:
        `IOException`

    - #### setContentType

          public void setContentType(String ct)

      Method description
      Parameters:
        `ct` -

    - #### setRid

          public void setRid(long rid)

      Method description
      Parameters:
        `rid` -

    - #### setSid

          public void setSid(UUID sid)

      Method description
      Parameters:
        `sid` -

    - #### prepareHeaders

          public StringBuilder prepareHeaders(String data)

      Method description
      Parameters:
        `data` -

    - #### writeRawData

          public void writeRawData(String data)
                            throws IOException

      Description copied from class: `XMPPIOService`
      Method description
      Overrides:
        `writeRawData` in class `XMPPIOService<Object>`
      Throws:
        `IOException`

    - #### checkData

          public boolean checkData(char[] data)
                            throws IOException

      Overrides:
        `checkData` in class `XMPPIOService<Object>`
      Returns:
        a value of `boolean`
      Throws:
        `IOException`

Copyright © 2022 "Tigase, Inc.". All rights reserved.